Loading...
Searching...
No Matches
set_window.c File Reference

GIS Library - Set window (map region). More...

`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "G.h"`
`#include "gis_local_proto.h"`
Include dependency graph for gis/set_window.c:

Go to the source code of this file.

## Functions

void | G_get_set_window (struct Cell_head *window)
| Get the current working window (region).
void | G_set_window (struct Cell_head *window)
| Establishes `window` as the current working window (region).

## Detailed Description

GIS Library - Set window (map region).

(C) 2001-2009, 2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file gis/set_window.c.

## Function Documentation

## G_get_set_window()

void G_get_set_window | ( | struct Cell_head * | window | ) |

Get the current working window (region).

The current working window values are returned in the structure `window`.

Previous calls to G_set_window() affects values returned by this function. Previous calls to G_put_window() affects values returned by this function only if the current working window is not initialized.

Parameters

  [out] | window | pointer to window structure to be set

See also
  G_set_window(), G_get_window()

Definition at line 35 of file gis/set_window.c.

References G__init_window(), and G__::window.

Referenced by G_begin_cell_area_calculations(), G_get_3dview(), G_projection(), G_setup_plot(), G_zone(), get_pj_area(), Gp_load_sites(), GS_get_to_real(), GS_libinit(), GS_set_focus_real(), Gv_load_vect(), N_init_geom_data_2d(), N_init_geom_data_3d(), N_read_rast_to_array_2d(), N_write_array_2d_to_rast(), and P_estimate_splinestep().

## G_set_window()

void G_set_window | ( | struct Cell_head * | window | ) |

Establishes `window` as the current working window (region).

This function adjusts the `window` before setting the region so you don't have to call G_adjust_Cell_head().

Note
  Only the current process is affected.

Parameters

  window | window to become operative window

See also
  G_get_set_window(), G_put_window()

Definition at line 53 of file gis/set_window.c.

References G_adjust_Cell_head(), G__::window, and G__::window_set.